---
title: "Checks the store's own domain at Cloudflare now, making it the store's main address once its records check out while the plan includes a domain; a check moments after another answers the domain as last read."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › site

`POST /v1/stores/{store}/domain/check`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `site:write`

## Path parameters

- `store` (`checkDomain.path.store`; string, required) — The store's id.

## Request body

_Optional._

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/domain/check' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/domain/check';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/domain/check"

payload = {}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Checks the store's own domain at Cloudflare now, making it the store's main address once its records check out while the plan includes a domain; a check moments after another answers the domain as last read.

#### Example

```json
{
  "included": true,
  "available": true,
  "target": "string",
  "domain": {
    "id": "string",
    "hostname": "string",
    "status": "string",
    "failure": "string",
    "records": [
      {
        "type": "CNAME",
        "name": "string",
        "value": "string"
      }
    ],
    "verified_at": "string",
    "checked_at": "string",
    "created_at": "string"
  }
}
```

- `included` (`checkDomain.response.200.included`; boolean, required)
- `available` (`checkDomain.response.200.available`; boolean, required)
- `target` (`checkDomain.response.200.target`; any of, required)
  - any of: `string`, `null`
- `domain` (`checkDomain.response.200.domain`; any of, required)
  - any of: `object`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`checkDomain.response.default.type`; string, required)
  - format `uri`
- `title` (`checkDomain.response.default.title`; string, required)
- `status` (`checkDomain.response.default.status`; integer, required)
- `detail` (`checkDomain.response.default.detail`; string, required)
- `code` (`checkDomain.response.default.code`; string, optional)
- `context` (`checkDomain.response.default.context`; object, optional)
- `reached_core` (`checkDomain.response.default.reached_core`; boolean, optional)
- `core_answer` (`checkDomain.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/check-domain/index.md
